summaryrefslogtreecommitdiff
path: root/common/jessie-arm64-hook.sh
diff options
context:
space:
mode:
authorNeil Williams <codehelp@debian.org>2015-09-02 23:47:19 +0100
committerNeil Williams <codehelp@debian.org>2015-09-02 23:47:19 +0100
commit9f427b60af348bb7e9f5789275fd03529eb8a0e0 (patch)
treea45cb3e91058000052fdca85fe4309d0f268b97a /common/jessie-arm64-hook.sh
parent5c54e70b6d13241bc096880fd39f346f95561a54 (diff)
downloadvmdebootstrap-9f427b60af348bb7e9f5789275fd03529eb8a0e0.tar.gz
Port the task-based scripts from tests with debian-cd
Diffstat (limited to 'common/jessie-arm64-hook.sh')
-rwxr-xr-xcommon/jessie-arm64-hook.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/common/jessie-arm64-hook.sh b/common/jessie-arm64-hook.sh
new file mode 100755
index 0000000..c986759
--- /dev/null
+++ b/common/jessie-arm64-hook.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+rootdir=$1
+
+# common needs rootdir to already be defined.
+. /usr/share/vmdebootstrap/common/customise.lib
+
+trap cleanup 0
+
+mount_support
+disable_daemons
+prepare_apt_source
+
+chroot ${rootdir} apt-get -q -y install ${TASK_PACKAGES} ${EXTRA_PACKAGES} \
+ task-xfce-desktop exim4 mutt info rpcbind pciutils \
+ task-ssh-server task-print-server plymouth procmail \
+ m4 apt-listchanges at busybox nfs-common \
+ wamerican texinfo plymouth-themes plymouth-x11 uuid-runtime \
+ gettext-base mlocate irqbalance \
+ irqbalance user-setup zerofree
+
+remove_daemon_block
+replace_apt_source
+# particular to efi builds
+blacklist_qemu_bochs
+
+echo "Customisation complete"